<template>
	<view class="container">
		<view class="content" v-if="type == 0">
			<image src="https://cdn.uviewui.com/uview/swiper/swiper2.png"></image>
			<view class="content-introduce">
				<view class="font m-b-10">
					公司名称：
				</view>
				<view class="font-28 m-b-34">
					上海印宏网络科技有限公司
				</view>
				<view class="font m-b-10">
					公司地址：
				</view>
				<view class="font-28 m-b-34">
					上海市青浦区赵巷镇移动智地1号楼911号
				</view>
				<view class="font m-b-10">
					联系电话：
				</view>
				<view class="font-28 m-b-34">
					17717504500
				</view>
			</view>
			<view class="content-tip">
				<Title title="邀请新用户成功进入小程序,每单可享受九折优惠" />
			</view>
			<u-button text="分享" open-type="share" color="#2C66FF"
				:customStyle="{margin:'0 20rpx',width:'710rpx',height:'80rpx',borderRadius: '10rpx'}"></u-button>
		</view>
		<view class="content" v-if="type == 1">
			<image src="https://cdn.uviewui.com/uview/swiper/swiper3.png"></image>
			<view class="content-text">
				<Title title="服务展示" />
				<view class="font">
					维修服务内容主要按用户所填写的内容、视频、语音描述展示，基本主要分为家电维修、家电清洗、家电安装、水电维修、管道疏通、防水漏补、开锁换锁等类。每一类别下还有不同的服务项目，例如在家电维修类别下，主要有热水器维修、空调维修、洗衣机维修、油烟机维修等；管道疏通类别下主要有马桶疏通、下水道疏通、洗手盆疏通等。用户可以根据自己的需要去填写。下单报价。浏览后，用户可以点击具体的服务内容了解详情。
				</view>
				<Title title="活动专区" />
				<view class="font">
					活动专区主要是平台推出的一些优惠活动（优惠券），例如邀请享折扣、新人福利券等丰富的福利优惠活动
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import Title from '@/components/title/title.vue'
	export default {
		components: {
			Title
		},
		data() {
			return {
				type: '0', // 判断是从第几张轮播图跳过来的
			}
		},
		methods: {

		},
		onLoad(options) {
			this.type = options.type
		},
		onShareAppMessage(options) {
			var that = this;
			let token = uni.getStorageSync('token')
			if (token) {
				var shareObj = {
					title: "新人力小程序", // 默认是小程序的名称(可以写slogan等)
					path: `/my/login/login?id=${that.$store.state.login.userInfo.user.id}`, // 默认是当前页面，必须是以‘/'开头的完整路径
				};
				// 来自页面内的按钮的转发
				if (options.from == 'button') {
					var eData = options.target.dataset;
					console.log(eData.name); // shareBtn
					// 此处可以修改 shareObj 中的内容
					shareObj.path = `/my/login/login?id=${that.$store.state.login.userInfo.user.id}`;
				}
				console.log("shareObj", shareObj)
				// 返回shareObj
				return shareObj;
				// 设置菜单中的转发按钮触发转发事件时的转发内容
			} else {
				uni.showModal({
					title: '请登录',
					content: '您需要登录才能使用该功能',
					success: (res) => {
						if (res.confirm) {
							that.$uniGo.reLaunch({
								url: '/my/login/login'
							})
						} else if (res.cancel) {
							uni.navigateBack()

						}
					}
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		.content {
			width: 100%;

			>image {
				width: 100%;
				height: 300rpx;
			}

			&-introduce {
				text-align: center;
				margin-top: 179rpx;
			}

			&-tip {
				padding: 71rpx 40rpx 30rpx 40rpx;
				box-sizing: border-box;
			}

			&-text {
				padding: 34rpx 40rpx;
				box-sizing: border-box;

				>view {
					padding: 20rpx 0 30rpx 0;
					box-sizing: border-box;
					line-height: 38rpx;
				}
			}
		}
	}
</style>
